his repository contains code for Head First HTML5 Programming 
(October, 2011).

Head First HTML5 Programming
by Eric Freeman
and Elisabeth Robson

Chapter 1: Welcome to Webville - Not your father's HTML 
Chapter 2: A Little Code - Introducing JavaScript and the DOM 
Chapter 3: A Little Interaction - Event Handlers and All That Jazz 
Chapter 4: Serious JavaScript - JavaScript Functions and Objects
Chapter 5: GeoLocation - Making your HTML Location Aware
Chapter 6: Extroverted Apps - JavaScript and Web Services
Chapter 7: The Canvas - Bring out your Inner Artist
Chapter 8: Video (with special guest, The Canvas) - Not Your Father's TV
Chapter 9: A Little More Closet Space - Web Storage
Chapter 10: Putting JavaScript to Work - Web Workers
Appendix: Stuff we didn't cover, where to go from here

http://wickedlysmart.com/hfhtml5/

You can also download the code from github:
https://github.com/bethrobson/Head-First-HTML5